(in-package :cube-modeller)

(define-toolbox-command (com-about :name t :menu t)
    (&key
     (stream 'stream :default *standard-output*))
  (accepting-values (stream :own-window t :label "About the LED Cube Modeller")
    (with-text-size (stream 12)
      (with-text-family (stream :serif)
        (scroll-clim-stream stream :y-delta 25)
        (with-text-size (stream 20)
          (write-string-centered "LED Cube Modeller" *standard-output* 30))
        (scroll-clim-stream stream :y-delta 20)
        (format t
"~&     This is a program to produce animations for a cube of LEDs, a device that Alex Wenger[1] and
     Max-Gerd Retzlaff[2] have built at the Entropia e.V[3]. See http://www.entropia.de/wiki/LED-Cube
     for more information. At the same time this program is a simulator for the LED cube to view
     such animations.

     The Cube Modeller is written by Max-Gerd Retzlaff in Common Lisp. The toolbox window is a
     McCLIM application and the three dimensional viewer uses OpenGL via SDL.

")
        (write-string-centered "You can contact me via <m.retzlaff@gmx.net>. Comments are welcome!"
                               *standard-output* 30)
        (scroll-clim-stream stream :y-delta 2)
        (format stream "~&     ")
        (surrounding-output-with-border (t :shape :underline :move-cursor nil)
          (format stream "Urls:"))
        (scroll-clim-stream stream :y-delta 2)
        (format stream "
          1) Alex's weblog:          http://www.wenger-online.de
          2) Max-Gerd's weblog: http://blog.matroid.org
          3) Entropia Wiki:          http://entropia.de

     (Hint: To copy text from McCLIM to the X selection buffer you have to press the SHIFT key.)
")
        (scroll-clim-stream stream :y-delta 13)))))
